Chapter 49. Pod Service
49.1. Pod Service Copy linkLink copied to clipboard!
49.1.1. ExportPods Copy linkLink copied to clipboard!
GET /v1/export/pods
49.1.1.1. Description Copy linkLink copied to clipboard!
49.1.1.2. Parameters Copy linkLink copied to clipboard!
49.1.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| timeout | - | null | ||
| query | - | null |
49.1.1.3. Return Type Copy linkLink copied to clipboard!
Stream result of v1ExportPodResponse.
49.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
49.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response.(streaming responses) | Stream result of v1ExportPodResponse. |
| 0 | An unexpected error response. |
49.1.1.6. Samples Copy linkLink copied to clipboard!
49.1.2. GetPods Copy linkLink copied to clipboard!
GET /v1/pods
GetPods returns the pods.
49.1.2.1. Description Copy linkLink copied to clipboard!
49.1.2.2. Parameters Copy linkLink copied to clipboard!
49.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
49.1.2.3. Return Type Copy linkLink copied to clipboard!
49.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
49.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |